import request from '@/utils/request'

// 查询体温记录列表
export function listTemperatureRecord(query) {
  return request({
    url: '/health/temperatureRecord/list',
    method: 'get',
    params: query
  })
}

// 查询体温记录详细
export function getTemperatureRecord(id) {
  return request({
    url: '/health/temperatureRecord/' + id,
    method: 'get'
  })
}

// 新增体温记录
export function addTemperatureRecord(data) {
  return request({
    url: '/health/temperatureRecord',
    method: 'post',
    data
  })
}

// 修改体温记录
export function updateTemperatureRecord(data) {
  return request({
    url: '/health/temperatureRecord',
    method: 'put',
    data
  })
}

// 删除体温记录
export function delTemperatureRecord(id) {
  return request({
    url: '/health/temperatureRecord/' + id,
    method: 'delete'
  })
}
